> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kashimi.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payment report by ID



## OpenAPI

````yaml GET /api/v1/reports/payments/{id}
openapi: 3.0.0
info:
  title: Gatekeeper docs
  description: gatekeeper API
  version: 0.0.1
  contact: {}
servers: []
security: []
tags: []
externalDocs:
  description: JSON document
  url: /api/docs-json
paths:
  /api/v1/reports/payments/{id}:
    get:
      tags:
        - Reports
      summary: Get a payment report by payment ID
      operationId: PaymentsController_getById_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer token for authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPaymentReportOutputDto'
        '400':
          description: The request is not formatted correctly
          content:
            application/json:
              example:
                statusCode: 400
                title: Bad Request
                message: Invalid ID value
        '401':
          description: >-
            Your access token was either not passed with the request, or it is
            invalid (e.g. expired or malformed). Make sure to pass the token in
            the Authorization header, and obtain a new one if it has expired.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorOutputDto'
              example:
                statusCode: 401
                title: Unauthorized
                message: Unauthorized
        '403':
          description: You do not have the necessary permissions to perform this action.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorOutputDto'
              example:
                statusCode: 403
                title: Forbidden
                message: Access denied
        '404':
          description: The payment with the specified ID was not found
          content:
            application/json:
              example:
                statusCode: 404
                title: Not Found
                message: Not Found
      security:
        - bearer: []
      x-codeSamples:
        - lang: cURL
          source: >

            curl --location --request GET
            "https://api.kashimi.tech/api/v1/reports/payments/{paymentId}"

            --header "Accept: application/json"

            --header "Authorization: Bearer YOUR_ACCESS_TOKEN"
components:
  schemas:
    GetPaymentReportOutputDto:
      type: object
      properties:
        id:
          type: string
          description: Unique payment identifier
          example: 5fad63ad-f79d-4505-b068-88450100750d
        createdAt:
          type: string
          example: '2023-04-05T17:02:11.954Z'
        amount:
          type: number
          description: Payment amount
          example: 100
        currency:
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BOV
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHE
            - CHF
            - CHW
            - CLF
            - CLP
            - CNY
            - COP
            - COU
            - CRC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MXV
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLE
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - USN
            - UYI
            - UYU
            - UYW
            - UZS
            - VED
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XAG
            - XAU
            - XBA
            - XBB
            - XBC
            - XBD
            - XCD
            - XDR
            - XOF
            - XPD
            - XPF
            - XPT
            - XSU
            - XTS
            - XUA
            - XXX
            - YER
            - ZAR
            - ZMW
            - ZWG
          description: Currency code
          example: EUR
        provider:
          nullable: true
          description: >-
            Selected provider details (name, country). Null when the payment has
            no provider assigned to it.
          allOf:
            - $ref: '#/components/schemas/PaymentReportProviderOutputDto'
        sender:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/PaymentReportSenderOutputDto'
        recipient:
          $ref: '#/components/schemas/PaymentReportRecipientOutputDto'
        status:
          type: string
          enum:
            - PENDING
            - COMPLETED
            - FAILED
            - UNKNOWN
          nullable: true
          description: The most recent status of the payment.
        remittanceInformation:
          example:
            type: UNSTRUCTURED
            value: Invoice 12345
          allOf:
            - $ref: '#/components/schemas/PaymentReportRemittanceInformationOutputDto'
      required:
        - id
        - createdAt
        - amount
        - currency
        - recipient
        - status
        - remittanceInformation
    ErrorOutputDto:
      type: object
      properties:
        title:
          type: string
          description: Name of the error
        statusCode:
          type: number
          description: HTTP status code
        message:
          type: string
          description: Error message
      required:
        - title
        - statusCode
        - message
    PaymentReportProviderOutputDto:
      type: object
      properties:
        id:
          type: string
          description: Provider identifier
          example: 4c3cead2-9719-4abc-9372-9371c8652676
        name:
          type: string
          description: Provider name
          example: Swedbank
        countryCode:
          type: string
          description: Provider country code
          example: LT
      required:
        - id
        - name
        - countryCode
    PaymentReportSenderOutputDto:
      type: object
      properties:
        name:
          type: string
          description: Sender's name (if received from the provider)
          example: John Doe
        account:
          $ref: '#/components/schemas/PaymentReportSenderAccountOutputDto'
    PaymentReportRecipientOutputDto:
      type: object
      properties:
        account:
          description: Recipient account details
          allOf:
            - $ref: '#/components/schemas/PaymentRecipientAccountOutputDto'
        name:
          type: string
          description: Recipient's name
          example: Jane Doe
      required:
        - account
        - name
    PaymentReportRemittanceInformationOutputDto:
      type: object
      properties: {}
    PaymentReportSenderAccountOutputDto:
      type: object
      properties:
        number:
          description: Account number details
          allOf:
            - $ref: '#/components/schemas/PaymentAccountNumberOutputDto'
      required:
        - number
    PaymentRecipientAccountOutputDto:
      type: object
      properties:
        number:
          description: Recipient account number details
          allOf:
            - $ref: '#/components/schemas/PaymentAccountNumberOutputDto'
      required:
        - number
    PaymentAccountNumberOutputDto:
      type: object
      properties:
        type:
          type: string
          description: Type of the account number
          example: IBAN
        value:
          type: string
          description: Value of the account number
          example: DE89370400440532013000
      required:
        - type
        - value

````